Solid Edge FrameworkSupport Type Library
Item Method
Variant (input) index.
Description
The items in a collection.
Syntax
Visual Basic
Public Function Item( _
   ByVal Index As Variant _
) As Object
Parameters
Index
Variant (input) index.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objLines As SolidEdgeFrameworkSupport.Lines2d
    Dim objLine1 As SolidEdgeFrameworkSupport.Line2d
    Dim objLine2 As SolidEdgeFrameworkSupport.Line2d
    Dim objLine3 As SolidEdgeFrameworkSupport.Line2d
    Dim objRelns As SolidEdgeFrameworkSupport.Relationships2d
    Dim objRelns2 As SolidEdgeFrameworkSupport.Relation2d
    Dim lngCnt As Long
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Create an empty Lines2d collection object
    Set objLines = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                       objDoc.RefPlanes(1)).Lines2d
    ' Create 2 Line2d objects
    Set objLine1 = objLines.AddBy2Points(x1:=0, y1:=0, x2:=0.1, y2:=0)
    Set objLine2 = objLines.AddBy2Points(x1:=0.1, y1:=0, x2:=0.1, y2:=0.1)
    ' Create another Line object using the AddAsChamfer Method
    Set objLine3 = objLines.AddAsChamfer(Obj1:=objLine1, Obj2:=objLine2, xDirection:=1, _
                                         yDirection:=1, SetBackA:=0.04, SetBackB:=0.03)
    ' Get the Relationships of the Line object
    Set objRelns = objLine3.Relationships
    If objRelns(1).Type <> igChamferRelation2d Then
        MsgBox ("Error in the Relationships Property of Line2d object")
    End If
    ' Create a Relationships2d object using item method
    Set objRelns2 = objRelns.Item(1)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLines = Nothing
    Set objLine1 = Nothing
    Set objLine2 = Nothing
    Set objLine3 = Nothing
    Set objRelns = Nothing
    Set objRelns2 = Nothing
End Sub
See Also

Relationships2d Collection  | Relationships2d Members